{% extends 'base.html.twig' %}

{% block title %}New Cart{% endblock %}

{% block body %}
    <h1>My cart products</h1>
    <td>{{ include('cart/cart_empty.html.twig') }}</td>

    <div>
        <table class="table">
            <thead>
            <tr>
                <th>Product Name</th>
                <th>Product Type</th>
                <th>Product Price</th>
                <th>Product Action</th>
            </tr>
            </thead>
            <tbody>
            {% for product in cart.products %}
                <tr>
                    <td>{{ product.name }}</td>
                    <td>{{ product.type }}</td>
                    <td>{{ product.price }}</td>
                    <td>{{ include('cart/cart_prduct_delete.html.twig') }}</td>
                </tr>

            {% endfor %}

            </tbody>
            <tfoot>
            <tr>
                <th colspan="2">Total</th>
                <td>{{ cart.totalValue }}</td>
            </tr>
            </tfoot>
        </table>

    </div>
    <a href="{{ path('product_index') }}">back to list</a>
{% endblock %}
